Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1032519 - unaligned radio buttons in edit nic dialog
Summary: unaligned radio buttons in edit nic dialog
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-webadmin-portal
Version: 3.3.0
Hardware: Unspecified
OS: Unspecified
low
unspecified
Target Milestone: ---
: 3.5.0
Assignee: Lior Vernia
QA Contact: Martin Pavlik
URL:
Whiteboard: network
Depends On:
Blocks: rhev3.5beta 1156165
TreeView+ depends on / blocked
 
Reported: 2013-11-20 10:46 UTC by Ohad Basan
Modified: 2016-02-10 19:49 UTC (History)
14 users (show)

Fixed In Version: vt2.2
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-17 17:11:02 UTC
oVirt Team: Network
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 31177 master MERGED userportal,webadmin: Fix layout issues in vNIC dialog Never
oVirt gerrit 31690 ovirt-engine-3.5 MERGED userportal,webadmin: Fix layout issues in vNIC dialog Never

Description Ohad Basan 2013-11-20 10:46:59 UTC
Description of problem:
opening the edit nic dialog
the "down" and "unplugged" buttons are not aligned correctly

Comment 2 Einav Cohen 2013-11-21 18:36:40 UTC
not sure if this is a problem - in each line there is a radio-button-group that aligns the radio buttons next to each other based on the space that each radio-button label occupies - not sure if it is necessary to align radio-buttons in different lines. 

Eldan/Malini?

Comment 3 Eldan Hildesheim 2013-11-24 09:58:40 UTC
It's prettier when it's aligned and we can try to fix it though I can’t predict what will happen in other languages, the 1st row can be nice and the second one will have many spaces or another unpredictable result.
I would have make it a crucial bug if there where many row with 2 checkboxes one above the other - but it’s not the case. So if it can be aligned and it will still be ok in other languages - I have no objection but it’s not a terrible bug.
E.

Comment 4 Lior Vernia 2013-11-24 12:51:58 UTC
It is currently configured so that the right edge of the images is aligned. You can either have that or the radio buttons aligned, but not both. I don't think one is better than the other.

Comment 5 Lior Vernia 2013-11-24 12:52:40 UTC
Sorry, you could possibly have both, along with bigger spacing for one of the rows.

Comment 6 Einav Cohen 2013-11-25 19:29:59 UTC
as Eldan mentioned: It is not crucial. Either close on NOT-A-BUG, or fix *while making sure that it looks OK in all locales*. 
Thanks.

Comment 7 Lior Vernia 2013-11-26 06:22:02 UTC
Aligning the radio buttons will, by definition, cause something else to go out of alignment (either the icons or the spacing). I don't think that's preferable in any way.

Comment 8 Lior Vernia 2014-08-06 11:36:26 UTC
Might as well be fixed with other layout issues in this dialog.

Comment 9 Martin Pavlik 2014-09-08 13:49:13 UTC
VERIFIED
works ok in vt2.2 in English version

Comment 11 Eyal Edri 2015-02-17 17:11:02 UTC
rhev 3.5.0 was released. closing.


Note You need to log in before you can comment on or make changes to this bug.